> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compago.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by ID



## OpenAPI

````yaml GET /one-time-payment/{id}
openapi: 3.1.0
info:
  title: Compago API
  version: 1.0.0
  description: >-
    Public and private API endpoints for Compago's payment infrastructure. This
    specification currently includes endpoints for one-time payments. More
    endpoints will be added as the platform evolves.
servers:
  - url: https://demo.api.harmony.compago.com/api
  - url: https://api.harmony.compago.com/api
security: []
tags:
  - name: OneTimePayment
    description: Endpoints for creating and processing one-time payment links
  - name: PaymentMethod
    description: >-
      Endpoints for saving cards, charging saved payment methods, and processing
      refunds
  - name: PaymentIntent
    description: >-
      Endpoints for creating and managing card-present payment intents for POS
      terminal integrations
paths:
  /one-time-payment/{id}:
    get:
      tags:
        - OneTimePayment
      summary: Get one-time-payment details
      operationId: getOneTimePayment
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Details of the one-time payment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOneTimePaymentResponse'
        '404':
          description: Payment link not found
components:
  schemas:
    GetOneTimePaymentResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee
        status:
          type: string
          enum:
            - PENDING
            - CONFIRMED
            - CANCELLED
        amount:
          type: number
          format: decimal
        currency:
          type: string
        expiresAt:
          type: string
          format: date-time
        expired:
          type: boolean
        homepageUrl:
          type: string
          format: uri
        organization:
          type: object
          properties:
            name:
              type: string
            business:
              type: object
              properties:
                websiteURL:
                  type: string
                  format: uri
      required:
        - status
        - expired

````